Skip to main content
`Ctrl`+`K`

# PetscLogRegistry

Opaque PETSc registry of logging events, stages and classes that is shared by all `PetscLogHandler`s attached to a given `PetscLogState`

## Synopsis

    typedef struct _n_PetscLogRegistry *PetscLogRegistry;

## See Also

`PetscLogState`, `PetscLogStateGetRegistry()`, `PetscLogHandler`, `PetscLogEventRegister()`, `PetscLogStageRegister()`

## Level

developer

## Location

include/petsclogtypes.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages